POST /user/balance
Description
The method is used to obtain the current balance of a user or group. A JWT token must be passed in the request header.
Request format
- HTTP method:
POST - URL:
/user/balance - Content Type:
application/json - Authorization: required
Query Parameters
| Parameter | Type | Where Passed | Required | Description |
|---|---|---|---|---|
| token | string | Header | ✅ | User’s JWT token |
Example Request (cURL)
curl -X POST "https://api.neuro-vision.ru/v1/user/balance"
-H "Content-Type: application/json"
-H "Authorization: Bearer jwt.temporary.token" Example Answers
Success (200 OK)
{
"status": "ok"
} Error (400 Bad Request)
{
"message": "invalid schema",
"status": "error"
} Error (401 Unauthorized)
{
"message": "access denied",
"status": "error"
} Error (404 Not Found)
{
"message": "item with this id does not found",
"status": "error"
}